GitLab 跨站脚本漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1885790 漏洞类型 跨站脚本
发布时间 2020-01-03 更新时间 2020-01-17
CVE编号 CVE-2019-19311 CNNVD-ID CNNVD-202001-061
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-202001-061
|漏洞详情
GitLab是美国GitLab公司的一款使用Ruby on Rails开发的、自托管的、Git(版本控制系统)项目仓库应用程序。该程序可用于查阅项目的文件内容、提交历史、Bug列表等。 GitLab(企业版)8.14版本至12.5版本、12.4.3版本和12.3.6版本中group和profile字段存在跨站脚本漏洞。该漏洞源于WEB应用缺少对客户端数据的正确验证。攻击者可利用该漏洞执行客户端代码。
|参考资料

来源:gitlab.com

链接:https://gitlab.com/gitlab-org/gitlab/issues/31536


来源:CONFIRM

链接:https://about.gitlab.com/blog/2019/11/27/security-release-gitlab-12-5-1-released/


来源:MISC

链接:https://about.gitlab.com/blog/categories/releases/


来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2019-19311